#pragma once

namespace NBalancerYt {
    template<typename TInput, typename TOutput>
    void ConvertRowTo(const TInput& input, TOutput* output);

    template<typename TOutput, typename TInput>
    TOutput ConvertRow(const TInput& input) {
        TOutput output;
        ConvertRowTo(input, &output);
        return output;
    }
}
